V5 Getting started


#1

Running V5 on Linux Mint 19 via PPA.
When I open a .sch I get a pop up message that I need to create a global symbol library. The explanation says if you are not sure (and I am not) then select the default. The option marked as recommended is greyed out, so cannot be selected. I cannot even exit from this. The only option to get out is to create an empty file and select that.
What should I do? Do I need a global symbol library and if so where do I find one?
Having created a blank file and used that I get another pop up saying The following libraries were not found and it lists about 30 libraries. What do I need to do about that?

Thanks
Mick


#2

This whole thing with copying config files is more trouble than it’s worth! You can get the default file from https://github.com/KiCad/kicad-footprints/archive/5.0.0.zip, It should already be in /usr/share/kicad somewhere.

Otherwise, go into pcbnew and add libraries using the library table manager.


#3

Thank you. I have downloaded kicad-symbols-master, put it in /usr/share/kicad/ and updated the path to point to it, but when I add a component in the schematic there are none to choose.
I tried Preferences > Manage Symbol Libraries and added an entry, but there are still no components
Is there something else I need to do?


#4

Not sure what path you refer to, search paths are no longer used, but if you define “KICAD_SYMBOL_DIR” it can be used to shorten the library paths in the table.

You need to add all the symbol libraries to the symbol library table. To add libraries, you need to click “Browse Libraries…” then select them, and click OK.

You might end up with something like

This is on windows, but the principle is the same. You don’t have to use KICAD_SYMBOL_DIR, you can also use the actual file path.


#5

It might be that it is grayed out for a reason. I would guess that you installed only kicad not the libraries. Linux mint has a separate package for the libs.


#6

Ahh yes I can see components now. Thank you!


#7

Thank you, that looks like a better solution. I have removed the ones I added and installed all from the repository and it all seems to work fine.